Code::Blocks

User forums => Help => Topic started by: ghgjj556 on June 12, 2017, 09:19:30 pm

Title: Compiler error
Post by: ghgjj556 on June 12, 2017, 09:19:30 pm
I am running Code::Blocks version 16.01

I have just downloaded Code::Blocks (codeblocks-16.01mingw-setup.exe) and  everytime I want to run a program (even this 'Hello world" one) this appears:

Code: [Select]
" The compiler's setup (GNU GCC Compiler) is invalid, so Code::Blocks cannot find/run the compiler.
Probably the toolchain path within the compiler options is not setup correctly?! (Do you have a compiler installed?)
Goto "Settings->Compiler...->Global compiler settings->GNU GCC Compiler->Toolchain executables" and fix the compiler's setup.

    I don't know what I'm doing wrong. Please, help me.
Title: Re: Compiler error
Post by: awake on June 12, 2017, 11:17:23 pm
If you haven't read it yet, here's a good place to start: http://wiki.codeblocks.org/index.php/Installing_a_supported_compiler
Title: Re: Compiler error
Post by: stahta01 on June 12, 2017, 11:56:51 pm
If you haven't read it yet, here's a good place to start: http://wiki.codeblocks.org/index.php/Installing_a_supported_compiler

Quote
If your compiler was not auto-detected, go to "Settings->Compiler and Debugger->Global Compiler settings->Toolchain executables", select the compiler you installed and press "Auto-detect".